Bug 1425609 - [RFE] As a user, I want to provide synced images with multiple "/" in them.
Summary: [RFE] As a user, I want to provide synced images with multiple "/" in them.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management - Content
Version: Nightly
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Tom McKay
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-21 21:22 UTC by Tom McKay
Modified: 2019-11-05 23:03 UTC (History)
15 users (show)

Fixed In Version: pulp-2.13.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:17 UTC
Pulp Redmine 2368 Normal CLOSED - CURRENTRELEASE As a user, I want to provide synced images with multiple "/" in them. 2017-04-27 14:05:01 UTC

Description Tom McKay 2017-02-21 21:22:47 UTC
Note that docker/distribution and openshift/registry both now support more than two parts to images. In katello I would like to sync "openshift3/node" and then provide it at "examplecorp/myproduct/openshift3/node" (or any other name).

https://github.com/docker/distribution/blob/master/docs/spec/api.md#overview

A repository name is broken up into path components. A component of a repository name must be at least one lowercase, alpha-numeric characters, optionally separated by periods, dashes or underscores. More strictly, it must match the regular expression [a-z0-9]+(?:[._-][a-z0-9]+)*.
If a repository name has two or more path components, they must be separated by a forward slash ("/").
The total length of a repository name, including slashes, must be less than 256 characters.

Comment 3 pulp-infra@redhat.com 2017-02-21 21:32:10 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2017-02-21 21:32:12 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2017-03-31 14:33:48 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 7 pulp-infra@redhat.com 2017-03-31 15:03:55 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 8 pulp-infra@redhat.com 2017-04-17 13:34:08 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 9 pulp-infra@redhat.com 2017-04-27 14:05:03 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 12 Tom McKay 2017-11-15 00:29:14 UTC
The pulp issue is necessary before providing functionality in foreman. Moving this back to NEW and 6.4.

Comment 13 pulp-infra@redhat.com 2017-11-15 00:34:28 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 17 errata-xmlrpc 2018-10-16 15:27:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.